Page MenuHomePhabricator

Better solutions to edit conflicts (#1)
Open, Needs TriagePublic

Description

Survey: 2015

Original wish (German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Bessere_L.C3.B6sung_von_Bearbeitungskonflikten
Update sites on-wiki:

Related Analytics:
https://grafana.wikimedia.org/dashboard/db/mediawiki-edit-conflicts, see also T139019

Scoping by TCB-Team:
Focus on improving the UI, not the algorithm behind.

Development Plan:
Based on the feedback we received for the prototype on de-wiki, meta and through offline conversations, we now plan to implement the following:

  • DONE: Create a two-column edit screen (T143823), where the editor is on the right hand side, the differing versions on the left hand side (T143824). In contrast to the prototype, the new screen should automatically jump to the first edit conflict appearing
  • DONE: Enable the new edit merge page as a beta feature on 1 - 3 wikipedias for the first live testing
  • DONE: Enable the new beta feature on all wikis
  • Come to a decision whether or not to deploy it "for real"

Related ideas, out of scope for the TCB-Team for now:

Interesting pages:
The current help page for solving an edit conflict

Related Objects

StatusAssignedTask
DuplicateNone
Opencscott
OpenNone
OpenNone
ResolvedTobi_WMDE_SW
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
DuplicateNone
ResolvedWMDE-Fisch
DuplicateNone
ResolvedAndrew-WMDE
ResolvedJan_Dittrich
Open Lea_WMDE
ResolvedAndrew-WMDE
DuplicateNone
OpenNone
DuplicateNone
StalledNone
ResolvedAddshore
OpenNone
ResolvedWMDE-Fisch
ResolvedNone
ResolvedJan_Dittrich
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
OpenNone
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
OpenNone
ResolvedAndrew-WMDE
OpenNone
DeclinedNone
Resolved Lea_WMDE
DeclinedGoranSMilovanovic
ResolvedGoranSMilovanovic
DeclinedGoranSMilovanovic
ResolvedGoranSMilovanovic
Resolved Lea_WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
InvalidHanna_Petruschat_WMDE
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedAddshore
ResolvedAddshore
OpenNone
OpenNone
Resolved Lea_WMDE
ResolvedAndrew-WMDE
DuplicateNone
Resolvedjkroll
Resolvedthiemowmde
ResolvedWMDE-Fisch
ResolvedNone
DuplicateNone
DuplicateNone
DuplicateNone
ResolvedAndrew-WMDE
OpenNone
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
Resolvedjkroll
ResolvedAndrew-WMDE
DuplicateNone
Resolvedthiemowmde
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
DeclinedNone
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lea_WMDE renamed this task from Better solutions to edit conflicts to Better solutions to edit conflicts (#1).Jul 7 2016, 12:58 PM
Lea_WMDE updated the task description. (Show Details)Jul 7 2016, 1:01 PM
Lea_WMDE updated the task description. (Show Details)Aug 15 2016, 3:26 PM
Lea_WMDE updated the task description. (Show Details)Aug 18 2016, 4:43 PM
Addshore changed the status of subtask T158073: Metrics: TwoColumnEditConflictMerge from Open to Stalled.Aug 31 2017, 10:57 AM
TheDJ added a subscriber: TheDJ.Oct 13 2017, 11:29 AM

The more often I encounter TwoColumnEditConflict, the less I like it. We should look again at what problem we are solving, because I feel we are just delivering 'more ui' and about an equal understanding of the problem.

I think we need 3 way merge and some proper conflict resolution UI.

See this Atom.io UI someone made for git at some point (animated GIF)

Gitlab has also done quite some work in this area:

jeblad added a subscriber: jeblad.Nov 22 2017, 11:05 AM
TheDJ removed a subscriber: TheDJ.Dec 31 2018, 12:00 PM